$breakpoints: (
        'sm': 520px, // Mobile
        'md': 768px, // Tablet
        'lg': 1024px, // Desktop
        'xlg': 1200px, // Large desktop
        'xxlg': 1440px, // Extra large Desktop
        'xxxlg': 1800px // Ultra large Desktop (Full HD / 4K...)
) !default;


@mixin up($breakpoint) {

  @if $breakpoint {

    @if map-has-key($breakpoints, $breakpoint) {

      @media (min-width: map-get($breakpoints, $breakpoint)) {
        @content;
      }

    } @else {
      @content;
    }
  } @else {
    @content;
  }
}

@mixin down($breakpoint) {

  @if $breakpoint {

    @if map-has-key($breakpoints, $breakpoint) {

      @media (max-width: #{map-get($breakpoints, $breakpoint) - 1}) {
        @content;
      }

    } @else {
      @content;
    }
  } @else {
    @content;
  }
}
